// ignore: duplicate_ignore
// ignore_for_file: constant_identifier_names, duplicate_ignore

enum ScanOutputMode {
  decodeOuputModeIntent,
  decodeOuputModeFocus,
}

enum Triggering {
  PULSE, //2
  CONTINUOUS, //4,
  HOST, //(8);
}

enum Symbology {
  NONE,
  CODE39,
  DISCRETE25,
  MATRIX25,
  INTERLEAVED25,
  CODABAR,
  RESERVED_6,
  CODE93,
  CODE128,
  UPCA,
  UPCE,
  EAN13,
  EAN8,
  RESERVED_13,
  MSI,
  RESERVED_15,
  RESERVED_16,
  GS1_14,
  GS1_LIMIT,
  GS1_EXP,
  RESERVED_20,
  RESERVED_21,
  PDF417,
  DATAMATRIX,
  MAXICODE,
  TRIOPTIC,
  CODE32,
  RESERVED_27,
  RESERVED_28,
  MICROPDF417,
  RESERVED_30,
  QRCODE,
  AZTEC,
  RESERVED_33,
  POSTAL_PLANET,
  POSTAL_POSTNET,
  POSTAL_4STATE,
  POSTAL_UPUFICS,
  POSTAL_ROYALMAIL,
  POSTAL_AUSTRALIAN,
  POSTAL_KIX,
  POSTAL_JAPAN,
  GS1_128,
  COMPOSITE_CC_C,
  COMPOSITE_CC_AB,
  CHINESE25,
  CODE11,
  UPCE1,
  COMPOSITE_TLC39,
  HANXIN,
  DOTCODE;
}

Map<ScanOutputMode, int> scanOutputModeValues = {
  ScanOutputMode.decodeOuputModeIntent: 0,
  ScanOutputMode.decodeOuputModeFocus: 1,
};
Map<Triggering, int> triggeringValues = {
  Triggering.HOST: 8,
  Triggering.PULSE: 2,
  Triggering.CONTINUOUS: 4,
};

Map<int, Triggering> triggeringValuesFromInt = {
  8: Triggering.HOST,
  2: Triggering.PULSE,
  4: Triggering.CONTINUOUS,
};

Map<Symbology, int> symbologyValues = {
  Symbology.NONE: 0,
  Symbology.CODE39: 1,
  Symbology.DISCRETE25: 2,
  Symbology.MATRIX25: 3,
  Symbology.INTERLEAVED25: 4,
  Symbology.CODABAR: 5,
  Symbology.RESERVED_6: 6,
  Symbology.CODE93: 7,
  Symbology.CODE128: 8,
  Symbology.UPCA: 9,
  Symbology.UPCE: 10,
  Symbology.EAN13: 11,
  Symbology.EAN8: 12,
  Symbology.RESERVED_13: 13,
  Symbology.MSI: 14,
  Symbology.RESERVED_15: 15,
  Symbology.RESERVED_16: 16,
  Symbology.GS1_14: 17,
  Symbology.GS1_LIMIT: 18,
  Symbology.GS1_EXP: 19,
  Symbology.RESERVED_20: 20,
  Symbology.RESERVED_21: 21,
  Symbology.PDF417: 22,
  Symbology.DATAMATRIX: 23,
  Symbology.MAXICODE: 24,
  Symbology.TRIOPTIC: 25,
  Symbology.CODE32: 26,
  Symbology.RESERVED_27: 27,
  Symbology.RESERVED_28: 28,
  Symbology.MICROPDF417: 29,
  Symbology.RESERVED_30: 30,
  Symbology.QRCODE: 31,
  Symbology.AZTEC: 32,
  Symbology.RESERVED_33: 33,
  Symbology.POSTAL_PLANET: 34,
  Symbology.POSTAL_POSTNET: 35,
  Symbology.POSTAL_4STATE: 36,
  Symbology.POSTAL_UPUFICS: 37,
  Symbology.POSTAL_ROYALMAIL: 38,
  Symbology.POSTAL_AUSTRALIAN: 39,
  Symbology.POSTAL_KIX: 40,
  Symbology.POSTAL_JAPAN: 41,
  Symbology.GS1_128: 42,
  Symbology.COMPOSITE_CC_C: 43,
  Symbology.COMPOSITE_CC_AB: 44,
  Symbology.CHINESE25: 45,
  Symbology.CODE11: 46,
  Symbology.UPCE1: 47,
  Symbology.COMPOSITE_TLC39: 48,
  Symbology.HANXIN: 49,
  Symbology.DOTCODE: 50,
};
